using Inspectron.Camera.UEye;

IDSImageSource imageSource = new IDSImageSource(new IDSImageSourceSettings("camera"){CameraId = 1});

Console.WriteLine("Opening");
imageSource.InitializeModule();

while (true)
{
    Console.WriteLine("Getting image");
    var sw = System.Diagnostics.Stopwatch.StartNew();
    var image=imageSource.GetImage(CancellationToken.None).Result;
    sw.Stop();
    Console.WriteLine($"Got image in {sw.ElapsedMilliseconds} ms");
    Console.WriteLine("Last acquisition time: " + imageSource.LastAqTime);
    image.SaveImage("test.png");
}